//if deyiminin kullanimi
import java.applet.Applet;  // java applet sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir

public class ogrencinotuApplet extends Applet implements ActionListener
{
    Label soru;       //kullaniciya ogrencinin notunu giriniz sorusunu sorar
    TextField girdi;  //”grenci notunu girme kutusu
    double not;       //girilen ogrenci notu

    //graphic kullanici baglantisindaki ilk degerleri tanimla
    public void init()
    {
       not=0;
       soru=new Label("Ogrencinin notunu giriniz :       ");
       girdi=new TextField(10);
       add(soru); //soru1 yazisini applete cizer
       add(girdi);//girdi kutusunu applete cizer
       girdi.addActionListener(this);
       // soru dan sonra return tusunu bekler
       // return tusundan sonra actionPerformed
       // metoduna gider
       add(girdi); //girdi kutusunu applete cizer
    }

    // sonuclari applete yazdir
    public void paint(Graphics g)
    {
       if( (not>=0) && (not < 50))
         { g.drawString(" not : "+not+" zayif",100,90);}
       else if( (not>=50) && (not<70) )
         { g.drawString(" not : "+not+" orta ",100,90);}
       else if( (not>=70) && (not<85) )
         { g.drawString(" not : "+not+" iyi ",100,90);}
       else if( (not>=85) && (not<=100))
         { g.drawString(" not : "+not+" pekiyi ",100,90);}
       else 
         { g.drawString("verilen not 0-100 araliginda olmalidir ",100,90);}
    }                                                              

    // eger girdi(return) tusuna basildiysa bu
    // metodu cagir
    public void actionPerformed( ActionEvent e)
    {
         // notu girdi kutusundan oku
         Double not1=new Double(e.getActionCommand() );
         not=not1.doubleValue();
         //tekrar paint metodunu cagir ve yeniden ciz
         girdi.setText("");//kutudaki rakami sil
         repaint();
    }
}
